Favicon

You are here: Home > API Reference > Android > Certificate Report > Get certificate report history item

Get certificate report history item

Required Permission: mdm.android.certificateReport.get

Get certificate report history item

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices/{emmDeviceId}/certificate-reports/history/{historyId}
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices/{emmDeviceId}/certificate-reports/history/{historyId}" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices/{emmDeviceId}/certificate-reports/history/{historyId}", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/android/enterprise/devices/{emmDeviceId}/certificate-reports/history/{historyId}",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
emmDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$
historyId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
id string required
Identifier of the stored certificate report history snapshot.
Match pattern: ^[a-fA-F0-9]{24}$
reportedAt string required
Timestamp when this certificate report snapshot was received from the device.
totalReports integer required
Number of certificate report entries stored in this snapshot.
≥ 0 · ≤ 9007199254740991
reportsByState object required
Number of certificate report entries grouped by their reported state.
createdAt string required
Timestamp when the backend stored this history snapshot.
certificateReport array [object] required
Redacted certificate reports stored in this snapshot. Certificate payloads are not returned, and client identities are masked.
commonName string optional
Certificate common name reported by the device.
≤ 256 characters
isIdentity any optional
clientIdentity string optional
Masked value indicating whether a client identity exists for this certificate.
certificateInfo any optional
origin string required
mdmAsset certificateProvider
originId any required
state string required
Reported certificate installation state.
installed fail pending
errorCode string optional
≤ 256 characters
errorMessage string optional
≤ 1000 characters
updatedAt string required
challenge string required
≤ 256 characters
keyPairAlias string required
Android key pair alias associated with this certificate.
≤ 256 characters
numFailedRetries integer optional
≥ 0 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "id": "string",
        "reportedAt": "string",
        "totalReports": 0,
        "reportsByState": {},
        "createdAt": "string",
        "certificateReport": [
            {
                "commonName": "string",
                "isIdentity": true,
                "clientIdentity": "string",
                "certificateInfo": "string",
                "origin": "mdmAsset",
                "originId": "string",
                "state": "installed",
                "errorCode": "string",
                "errorMessage": "string",
                "updatedAt": "string",
                "challenge": "string",
                "keyPairAlias": "string",
                "numFailedRetries": 0
            }
        ]
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}